Summary:       Color management tools for GNOME
Name:          gnome-color-manager
Version:       3.36.0
Release:       3%{?dist}
License:       GPLv2+
URL:           https://gitlab.gnome.org/GNOME/gnome-color-manager
Source0:       http://download.gnome.org/sources/gnome-color-manager/3.36/%{name}-%{version}.tar.xz

Patch0:        0001-Remove-forgotten-libcanberra-include.patch

BuildRequires: gcc gtk3-devel gettext lcms2-devel glib2-devel docbook-utils
BuildRequires: colord-devel itstool meson

Requires:      shared-mime-info

Provides:      gnome-color-manager-devel

%description
gnome-color-manager is a session framework that makes it easy to manage, install and generate color profiles
in the GNOME desktop.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %name --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README
%{_bindir}/gcm-*
%{_datadir}/applications/gcm-*.desktop
%{_datadir}/applications/org.gnome.ColorProfileViewer.desktop
%dir %{_datadir}/gnome-color-manager
%dir %{_datadir}/gnome-color-manager/figures
%{_datadir}/gnome-color-manager/figures/*
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg*
%{_datadir}/metainfo/org.gnome.ColorProfileViewer.appdata.xml
%{_mandir}/man1/*.1*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.36.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.36.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Shuo Wang <abushwang@tencent.com> - 3.36.0-1
- initial build
